#define PLUGIN_NAME "Hide Bomb From CT"
#define PLUGIN_VERSION "0.1"
#define PLUGIN_AUTHOR "VEN"

#include <amxmodx>

#define ATTRIB_BOMB (1<<1)

public plugin_init() {
	register_plugin(PLUGIN_NAME, PLUGIN_VERSION, PLUGIN_AUTHOR)

	register_message(get_user_msgid("StatusIcon"), "message_status_icon")
	register_message(get_user_msgid("ScoreAttrib"), "message_score_attrib")
}

public message_status_icon(msg_id, msg_dest, id) {
	if (!is_ct_player(id) || is_user_alive(id))
		return PLUGIN_CONTINUE

	static icon[4]
	get_msg_arg_string(2, icon, sizeof icon - 1)
	if (equal(icon, "c4"))
		return PLUGIN_HANDLED

	return PLUGIN_CONTINUE
}

public message_score_attrib(msg_id, msg_dest, id) {
	if (!is_ct_player(id))
		return PLUGIN_CONTINUE

	static attribs
	attribs = get_msg_arg_int(2)
	if (attribs & ATTRIB_BOMB)
		set_msg_arg_int(2, ARG_BYTE, attribs & ~ATTRIB_BOMB)

	return PLUGIN_CONTINUE
}

stock bool:is_ct_player(id) {
	static tchar[2]
	get_user_team(id, tchar, sizeof tchar - 1)
	if (tchar[0] == 'C')
		return true

	return false
}
